Debian Bug report logs - #710273
ITP: openstack-debian-images -- script to build a Debian image for OpenStack

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Wed, 29 May 2013 14:00:19 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version openstack-debian-images/0.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#710273; Package wnpp. (Wed, 29 May 2013 14:00:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 29 May 2013 14:00:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: openstack-debian-images -- script to build a Debian image for OpenStack
Date: Wed, 29 May 2013 21:59:26 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : openstack-debian-images
  Version         : 0.1
  Upstream Author : Thomas Goirand <zigo@debian.org>
* URL             : No URL...
* License         : Apache-2.0
  Programming Lang: Shell script
  Description     : script to build a Debian image for OpenStack

This package contains a script which is helpful for creating iamges to be
used with the OpenStack IaaS cloud software suite. It uses only tools
available within Debian.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#710273; Package wnpp. (Wed, 29 May 2013 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 May 2013 16:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 710273@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Paul Tonelli <paul@tonel.li>
Cc: 710273@bugs.debian.org
Subject: Re: build-debian-cloud & OpenStack
Date: Thu, 30 May 2013 00:03:50 +0800
On 05/29/2013 10:28 PM, Paul Tonelli wrote:
> Linked to#710273 <mailto:710273@bugs.debian.org>
> 
> https://github.com/andsens/build-debian-cloud
> 
> with a few modifications to the ec2 scripts, you can easily create a
> working debian image for openstack (juste remove the part which uses an
> amazon volume and use an image file)

Hi,

Below, you will find remarks which I am able to give because of
information I grabbed on the debian-cloud list. It is well possible that
I am mistaking because I haven't checked things myself, if so, please
correct me.

My understanding is that, to use build-debian-cloud, you need an
instance of a cloud system (eg: AWS or OpenStack, or something like
that) to be running. If I am right, then I prefer not to build a cloud
image this way, I prefer to just build it locally without any need of
having a cloud, only with things available in a "normal" Debian system.

Also, AWS uses Xen, which more or less imposes Grub (and if I'm not
mistaking, grub 1 / grub legacy), so that pvgrub  / pygrub can be used.
I made the choice to use syslinux (and in fact, extlinux, which works
only with ext{1,2,3} partitions), because it is easier and lighter. My
understanding is that extlinux wouldn't work for AWS, as it uses pygrub
/ pvgrub, and doesn't support the HVM mode of Xen.

Let me know if I'm wrong with the above points, I'm really not sure
about them.

I had a quick look to the source code. It really looks nice, with
plugins, hooks and so on. However, it is made out of 148 files to just
build an image, while my script has 189 lines in a single file. So
probably it covers a different set of needs. For my use case, I prefer
to keep things simple, even if that means that my images would probably
not work on other types of cloud.

Please let me know your thoughts, I wouldn't mind having another
approach if I am wrong, and I am open to suggestions.

Thomas



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 29 May 2013 20:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Goirand <zigo@debian.org>:
Bug#710273; Package wnpp. (Wed, 03 Jul 2013 12:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Kasper <emmanuel@libera.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Goirand <zigo@debian.org>. (Wed, 03 Jul 2013 12:09:09 GMT) Full text and rfc822 format available.

Message #17 received at 710273@bugs.debian.org (full text, mbox):

From: Emmanuel Kasper <emmanuel@libera.cc>
To: 710273@bugs.debian.org
Subject: Use of libvirt to build debian images
Date: Wed, 03 Jul 2013 14:05:07 +0200
it is also possible to do the provisioning  of KVM images using
virt-install, the debian installer, and  a preseed file

it has the advantage of enabling the fullpower of a debian presseed
file, but maybe you lose the flexibility of a customer script
(for instance I don't know if the Debian Installer allows you to instead
a different bootloader than grub)

This is the command I use to create my KVM images (tested on Debian 7.1)

export OS=Debian7

virt-install \
--connect qemu:///system \
--name ${OS} \
--ram 512 \
--vcpus 1 \
--file /tmp/${OS}.img \
--file-size=4 \
--location
http://http.debian.net/debian/dists/stable/main/installer-amd64/ \
--virt-type kvm \
--os-variant debianwheezy \
--network bridge=br0 \
--extra-args "auto=true hostname=${OS} domain=
url=http://subsole.org/static/misc/debian-preseed.cfg text"

You can optionally connect to the VM with
virt-viewer -c qemu:///system Debian7
and watch the show !




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#710273; Package wnpp. (Fri, 05 Jul 2013 07:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 05 Jul 2013 07:57:19 GMT) Full text and rfc822 format available.

Message #22 received at 710273@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 710273@bugs.debian.org
Subject: Re: Bug#710273: Use of libvirt to build debian images
Date: Fri, 05 Jul 2013 15:52:39 +0800
On 07/03/2013 08:05 PM, Emmanuel Kasper wrote:
> it is also possible to do the provisioning  of KVM images using
> virt-install, the debian installer, and  a preseed file
> 
> it has the advantage of enabling the fullpower of a debian presseed
> file, but maybe you lose the flexibility of a customer script
> (for instance I don't know if the Debian Installer allows you to instead
> a different bootloader than grub)
> 
> This is the command I use to create my KVM images (tested on Debian 7.1)
> 
> export OS=Debian7
> 
> virt-install \
> --connect qemu:///system \
> --name ${OS} \
> --ram 512 \
> --vcpus 1 \
> --file /tmp/${OS}.img \
> --file-size=4 \
> --location
> http://http.debian.net/debian/dists/stable/main/installer-amd64/ \
> --virt-type kvm \
> --os-variant debianwheezy \
> --network bridge=br0 \
> --extra-args "auto=true hostname=${OS} domain=
> url=http://subsole.org/static/misc/debian-preseed.cfg text"
> 
> You can optionally connect to the VM with
> virt-viewer -c qemu:///system Debian7
> and watch the show !

Hi,

This is interesting, thanks for sharing. Though I believe that my script
is more flexible than using the installer (I prefer using debootstrap
directly), and also will result in a much smaller image. It will also be
faster the way I do.

Thomas



Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 28 Jul 2013 01:03:16 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Sun, 28 Jul 2013 01:03:16 GMT) Full text and rfc822 format available.

Message #27 received at 710273-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 710273-close@bugs.debian.org
Subject: Bug#710273: fixed in openstack-debian-images 0.1
Date: Sun, 28 Jul 2013 01:00:06 +0000
Source: openstack-debian-images
Source-Version: 0.1

We believe that the bug you reported is fixed in the latest version of
openstack-debian-images, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 710273@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated openstack-debian-images package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 22 May 2013 16:39:47 +0800
Source: openstack-debian-images
Binary: openstack-debian-images
Architecture: source all
Version: 0.1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 openstack-debian-images - script to build a Debian image for OpenStack
Closes: 710273
Changes: 
 openstack-debian-images (0.1) unstable; urgency=low
 .
   * Initial release. (Closes: #710273).
Checksums-Sha1: 
 aa6a08c922cd79c6c81a37fef1e45d0eb33526cd 1260 openstack-debian-images_0.1.dsc
 45bede697ceacee08a668658e9b69bcf1afa5be5 5816 openstack-debian-images_0.1.tar.gz
 b10fcbb11745137101b7d00f9bc414bc0681929d 6418 openstack-debian-images_0.1_all.deb
Checksums-Sha256: 
 aa0458064dbe721def161841a4cf338b1a0b59ab3206b7e36780a0ac2fa8603e 1260 openstack-debian-images_0.1.dsc
 e8b957f25bc6d543eee49ed83d624c927676ba0c358d49559b69aac6f9135744 5816 openstack-debian-images_0.1.tar.gz
 d07fbaa7e00501f3bc9f829b16d7e05be8dcbacbf3878305a2ca375fcc376563 6418 openstack-debian-images_0.1_all.deb
Files: 
 cd762823681c6ca49f4aaff09b51e3b5 1260 web extra openstack-debian-images_0.1.dsc
 6e106434526929448b25c02613f9abf9 5816 web extra openstack-debian-images_0.1.tar.gz
 d169acc0d5451931b0c79b3fa2c47ee9 6418 web extra openstack-debian-images_0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG0n84ACgkQl4M9yZjvmkkXBwCfVp4a4wAZlvcLcPes9CI3CHOl
QRoAn0YVwC0smzECN0+a3/sMCsgEDm3n
=JKxx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Aug 2013 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:30:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.